← Tabelle
Vee uit

Ireland

Ulster Championship 1

#SpanPWDLPDPtsVorm
1Omagh RFC5500–24WWWWW
2Dromore RFC5401–22WWWWL
3Portadown RFC5401–21WLWWW
4Ballymoney RFC5302–14LWLWW
5Limavady RFC5302–14WWWLL
6Ards RFC5203–10WLLLW
7Lurgan RFC5203–9LWWLL
8Cooke RFC4103–6LLWW
9Bangor RFC5005–3LLLLL
10Belfast Harlequins RFC4004–0LLLL

Bron: Ulster Rugby · nagegaan 17 Okt. 20:20 · Vorm: die laaste vyf uitslae wat ons het, nuutste regs.

Wedstryde en uitslae →

Elke tabel is die liga se eie gepubliseerde punteleer, met bonuspunte, aftrekkings en gelykopreëls. BP word gewys waar die liga dit publiseer; elders is dit reeds in Pts.